# H460PluginServiceDescriptor< className > Class Template Reference

`#include <h4601.h>`

## Public Member Functions

virtual PObject * | CreateInstance (int) const
virtual PStringArray | GetDeviceNames (int) const
virtual bool | ValidateDeviceName (const PString &deviceName, int userData) const

### template<class className>
class H460PluginServiceDescriptor< className >

## Member Function Documentation

template<class className>

virtual PObject* H460PluginServiceDescriptor< className >::CreateInstance | ( | int |  | ) | const`[inline, virtual]`

template<class className>

virtual PStringArray H460PluginServiceDescriptor< className >::GetDeviceNames | ( | int |  | ) | const`[inline, virtual]`

template<class className>

virtual bool H460PluginServiceDescriptor< className >::ValidateDeviceName | ( | const PString & | deviceName,
|  | int | userData |
| ) |  |  | const`[inline, virtual]`

The documentation for this class was generated from the following file:

- h4601.h